Skip to main content
`Ctrl`+`K`

# DMLabelGetDefaultValue

Get the default value returned by `DMLabelGetValue()` if a point has not been explicitly given a value. When a label is created, it is initialized to -1.

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetDefaultValue(DMLabel label, PetscInt *defaultValue)

Not Collective

## Input Parameter

- label - a `DMLabel` object

## Output Parameter

- defaultValue - the default value

## See Also

`DMLabel`, `DM`, `DMLabelSetDefaultValue()`, `DMLabelGetValue()`, `DMLabelSetValue()`

## Level

beginner

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages